Problème dans « Apparence > Editeur » chargement bloqué (Créer un compte)

  • WordPress :6.3
  • Statut : non résolu
13 sujets de 1 à 13 (sur un total de 13)
  • Auteur
    Messages
  • #2464213
    laurent65
    Participant
    Initié WordPress
    5 contributions

    Bonjour,

    Ma configuration WP actuelle 6.4.1

    • Version de PHP/MySQL : 7.4.33 – 8.0.32
    • Thème utilisé : visualbusiness.1.0.5
    • Extensions en place : ImageMagick – Query Monitor – W3 Total Cache
    • Nom de l’hébergeur : Ionos
    • Adresse du site : https://remises-achats.fr

    Problème(s) rencontré(s) :

    Bonjour, j’ai donc installé WordPress 6.4.1 et mis le thème mis plus haut.

    Je pouvais au début aller dans Apparence > Editeur pour Personnaliser le thème directement comme ça; puis d’un coup plus possible.
    Je joins en pj une capture. Le chargement est bloqué… .

    Je précise que :
    J’ai essayé avec tous les modules désactivés; en ayant vidé le cache etc; essayé depuis un autre pc. (c’est pareil…)

    La seule chose que j’avais touché c’est pour le SSL; j’ai bien la fonction chez Ionos que j’ai activé, éditer wp-config.php comme ceci :

    // Forcer le HTTPS dans l’administration
    define(‘FORCE_SSL_ADMIN’, true);

    ou encore dans la .htaccess :

    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteCond %{SERVER_PORT} 80
    RewriteRule ^(.*)$ https://www.remises-achats.fr/$1 [R,L]
    </IfModule>

    Quelqu’un a une idée d’où pourrais venir le soucis ?

    Merci,

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2464218
    comeripoche56
    Participant
    Initié WordPress
    43 contributions

    Hello,

    Apparemment, ton thème n’a pas été testé avec plus récent que WordPress 6.2 (source trouvée en cliquant sur le bouton « changelog » sur la page officielle du thème).

    Essaye de revenir à cette ancienne version de WordPress (tu peux utiliser le plugin « Rollback Core »)

    Tu as un article à ce sujet : cliquer ici pour le consulter.

    Petit conseil : fait quand même une sauvegarde avant.

    Tiens nous au courant,

    Côme

    #2464222
    laurent65
    Participant
    Initié WordPress
    5 contributions

    Merci de ta réponse,

    En faite comme dis sur le post initial, la fonction « Editer » a bien fonctionné plusieurs fois… . Donc ça doit venir d’ailleurs, sinon cela n’aurait pas fonctionnait dès la 1ère fois… . Non ?

    Merci,

     

    #2464226
    Li-An
    Participant
    Maître WordPress
    28548 contributions

    Bonjour,


    @comeripoche56
     : attention, la version 6.2 de WP n’est pas patchée et induit des problèmes de sécurité. S’il faut mettre une version ancienne, ce serait la 6.2.2.

    Quoiqu’il en soit, c’est une très mauvaise idée de revenir sur une ancienne version de WP à cause d’un thème pas mis à jour. Si le thème est abandonné et que vous rencontrez des problèmes, changez de thème. C’est le meilleur conseil que l’on puisse vous donner.

    Vérifiez quand même que ce n’est pas lié à autres chose : désactivez les autres extensions, mettez un thème par défaut et testez pour voir. Vous pouvez laisser une extension de maintenance pour ne pas effrayer vos visiteurs et utiliser https://www.echodesplugins.li-an.fr/plugins/widget-importer-exporter/ pour sauvegarder le réglage de vos widgets. Vous pouvez aussi regarder dans Outils>Santé du site s’il n’y a pas un problème important.

    #2464228
    comeripoche56
    Participant
    Initié WordPress
    43 contributions

    (je n’avais pas vu la réponse Li-Ann lorsque je rédigais – ok pour la version patchée 6.2.2 pour la sécurité)

    Si si je t’assure.

    Ce n’est pas parce que ton thème (dans sa version actuelle) marchait avec l’ancienne version de WP, qu’il marche avec la nouvelle.

    Il ne faut pas oublier que les devs de thèmes et extensions n’ont rien à voir avec l’équipe officiel de WordPress.
    Quand WordPress propose une MAJ, il faut laisser le temps aux devs de thèmes et d’extensions de proposer, à leur tour, une MAJ qui les rends compatibles à 100% avec cette nouvelle version de WordPress.

    L’ordre recommandé de MAJ, c’est 1) les extensions 2) les thèmes 3) WordPress.
    Le tout, après avoir vérifié – au moins – la compatibilité de ton thème avec la nouvelle version de WordPress que tu t’apprête à mettre à jour.

    Et surtout, faire une sauvegarde avant tout ça.

    C’est un peu comme si demain, toutes les routes près de chez toi étaient enneigées. Il te faut du temps pour aller acheter des chaînes, les installer sur tes pneus, etc. En attendant de poser celles-ci, ta voiture n’est pas « compatible » avec les routes enneigées.

    J’ai fait de mon mieux pour t’expliquer ça.

    Allez vas-y, sauvegarde d’abord, et rollback ensuite. (edit: bon bah du coup, non. ou alors vers le 6.2.2. désolé @li-an)

    Côme

    • Cette réponse a été modifiée le il y a 7 mois et 2 semaines par comeripoche56.
    #2464230
    comeripoche56
    Participant
    Initié WordPress
    43 contributions

    Désolé @li-an,

    C’est vrai que je n’ai pas pensé à vérifier quelle version mineure de WP conseiller après 6.2, je vérifierai ça à l’avenir avant de donner ce genre de conseils.

    Mon conseil de rollback me semblait valable dans la mesure où c’est une solution temporaire.
    Je partais du principe que son thème « visualbusiness.1.0.5 » propose encore régulièrement des MAJ, puisque la dernière date de Juillet 2023.

    J’avoue, quand même, juillet ça commence à faire long.

    Après, oui, si le thème est abandonné ou trop peu souvent MAJ, là effectivement il vaut mieux changer.

    Désolé pour mes erreurs, et merci beaucoup @li-an.
    J’essaye de filer un coup de main sur le forum…

    Côme

    #2464240
    comeripoche56
    Participant
    Initié WordPress
    43 contributions

    Du coup j’ai fait des recherches, et même si elle n’est pas présente sur cette page officielle, une version 6.2.3 est disponible selon une autre page officielle, et plus sécurisée.

    C’est d’ailleurs la seule version de 6.2 qui est proposée par le plugin « Rollback Core ».

    Tout en gardant à l’esprit qu’il faut peut-être prévoir de changer de thème rapidement, pour pouvoir passer la version la plus récente et plus sécurisée de WordPress.


    @li-an
    qu’en pense-tu ?

    côme

    #2464241
    Li-An
    Participant
    Maître WordPress
    28548 contributions

    @comeripoche56 : du coup, c’est plutôt moi qui ai écrit une bêtise pour ne pas avoir vérifié l’info sur le thème. Le thème est indiqué compatible WP 6 et +. Donc, inutile de remonter à cette version.  Une mise à jour en juillet n’a rien de rédhibitoire.

    Et merci de prendre du temps pour aider sur le forum – les intervenants sont peu nombreux.


    @laurent65
     : en résumé, gardez tout comme ça – vérfiez que vous avez bien la dernière version du thème quand même – et faites les tests que j’ai indiqués pour savoir s’il n’y a pas un autre problème ailleurs.

    #2464243
    laurent65
    Participant
    Initié WordPress
    5 contributions

    Alors merci pour tout ça, pour précisions :

    L’installation est de hier, donc j’ai mis directement la dernière version de WordPress et du thème. Donc ça fonctionnait bien plusieurs fois « Editeur » puis après j’ai eu ce bug.

    J’ai mis un autre thème pour voir, alors ça fonctionne mais bien sur ce n’est pas du tout pareil au niveau du chargement, de la présentation mais l’action fonctionne.

    Merci,

     

    #2464249
    Li-An
    Participant
    Maître WordPress
    28548 contributions

    Il y a donc une interaction entre le thème et une autre partie du site (extension ?). Il faudrait faire des tests pour découvrir à quel endroit ça coince. Si ça a marché et que ça ne marche plus, c’est que vous avez fait une modif qui a cassé quelque chose.

    #2464264
    laurent65
    Participant
    Initié WordPress
    5 contributions

    Extension non impossible même en désactivant tout c’est pareil.

    Mais il y a pas moyen de faire apparaître les erreurs de cette action ?.. . Je trouve ça fou quand même… .

    J’ai voulu passer de Joomla à WordPress mais bon, je sais pas si c’était une bonne idée.

    Si vraiment c’est trop compliqué ou que si ce genre de chose se reproduit et que WordPress ne permette pas de détecté ou d’afficher des erreurs ça va être compliqué.

    Merci.

     

    #2464266
    Li-An
    Participant
    Maître WordPress
    28548 contributions

    Les erreurs qui peuvent s’afficher sont des erreurs php. Si c’est un problème de bibliothèque Javascript, aucune erreur ne s’affichera, que ce soit sous Joomla ou WordPress. L’avantage de WP ce sont ses extensions… et c’est aussi sa faiblesse. Il faut l’accepter ou prendre une boutique toute faite, vous êtes sûr que ça tournera sans problème. Après, mon site principal tourne avec 59 extensions activées sans problème particulier.

    Je ne sais pas comment vous en êtes arrivé à choisir ce thème mais si vous désirez le conserver et qu’il y a un problème, autant contacter leur support. Et vous êtes seul responsable de votre site WP, personne ne vous oblige à choisir telle extension ou tel thème, c’est à vous de gérer.

    Je ne connais pas Joomla mais si vous êtes plus à l’aise avec et que ça fonctionne comme vous le désirez, autant rester sur Joomja. Mais j’imagine que Joomla ne couvrait pas tous vos besoins pour que vous vous soyiez penché sur WP.

    #2464267
    laurent65
    Participant
    Initié WordPress
    5 contributions

    Effectivement autant changer de thème, n’étant pas magicien j’ai aucune possibilité de trouver ce qui bug.

    Je vais essayer un autre thème, si ça se reproduit je retournerai sur Joomla pour ne pas passer des lustres sur des soucis comme ça.

    Merci

13 sujets de 1 à 13 (sur un total de 13)
  • Vous devez être connecté pour répondre à ce sujet.